Package org.apache.sysds.runtime.instructions.spark

# Class AggregateUnarySPInstruction.RDDUAggFunction2

java.lang.Object
org.apache.sysds.runtime.instructions.spark.AggregateUnarySPInstruction.RDDUAggFunction2

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.Function<scala.Tuple2<MatrixIndexes,MatrixBlock>,MatrixBlock>`

Enclosing class:
  AggregateUnarySPInstruction

public static class AggregateUnarySPInstruction.RDDUAggFunction2 extends Object implements org.apache.spark.api.java.function.Function<scala.Tuple2<MatrixIndexes,MatrixBlock>,MatrixBlock>
Similar to RDDUAggFunction but single output block.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RDDUAggFunction2(AggregateUnaryOperator op, int blen)`

## Method Summary

Modifier and Type
Method
Description
`MatrixBlock`
`call(scala.Tuple2<MatrixIndexes,MatrixBlock> arg0)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RDDUAggFunction2

public RDDUAggFunction2(AggregateUnaryOperator op, int blen)

## Method Details

### call

public MatrixBlock call(scala.Tuple2<MatrixIndexes,MatrixBlock> arg0) throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.Function<scala.Tuple2<MatrixIndexes,MatrixBlock>,MatrixBlock>`
Throws:
  `Exception`